#if defined(__AVR_ATtiny85__)
#include <TinyWireM.h>
#include <TinyOzOLED.h>
#else 
#include <Wire.h>
#include <OzOLED.h>
#endif
char dispStr[16] ;
char rDispStr[6] ;

#define RANGE 10
#define BASEREGISTER 1000.0
#define INRANGE ((1023./BASEREGISTER) * RANGE + 1)
#define ANALIZE_PIN A3
#define ANALIZE_PIN2 A2

void setup(){
  OzOled.init(); 

  OzOled.clearDisplay();
  OzOled.setCursorXY(1,0);
  OzOled.printString("--------------");
  OzOled.setCursorXY(1,1);
  OzOled.printString("Register Check");
  OzOled.setCursorXY(1,2);
  OzOled.printString("--------------");

  pinMode(ANALIZE_PIN, INPUT);
  pinMode(ANALIZE_PIN2, INPUT);
}

void loop() {
  int buttonStat = analogRead(ANALIZE_PIN) ;
  int buttonStat2 = analogRead(ANALIZE_PIN2) ;

  OzOled.setCursorXY(1,3);
  sprintf(dispStr,"P:%04d/V:%04d",buttonStat2,buttonStat) ;
  OzOled.printString(dispStr);

  rDispStr[0] = 0;
  unsigned long int r = 0;
  buttonStat = ((buttonStat+INRANGE-1) / INRANGE) * INRANGE ; 
  buttonStat2 = ((buttonStat2+INRANGE-1) / INRANGE) * INRANGE ; 
  r = (buttonStat * BASEREGISTER) /(buttonStat2 - buttonStat) ;
  r = ((r + (RANGE -1)) / RANGE) * RANGE;
  if (r >= 1000) {
    if (((r%1000)/100) == 0) {
      sprintf(rDispStr,"R: %d K*          ",r/1000) ;
    } else {
      sprintf(rDispStr,"R: %d.%d K*       ",r/1000,((r%1000)/100)) ;
    }
  } else {
    sprintf(rDispStr,  "R: %d *           ",r) ;
  }
  rDispStr[13] = 0 ;
  OzOled.setCursorXY(1,6);
  OzOled.printString(rDispStr);

  delay(1000) ;
}
